using System;
using System.ComponentModel.DataAnnotations;
using System.Web.Mvc;

namespace MileageTraker.Web.ViewModels.Account
{
	/// <summary>
	/// ViewModel for Verifying a Reset Password
	/// </summary>
	public class NewPasswordViewModel
	{
		[HiddenInput]
		public Guid UserId { get; set; }

		[HiddenInput]
		public string PasswordResetToken { get; set; }

		[HiddenInput]
		public string Username { get; set; }

		[Required]
		[StringLength(16, ErrorMessage = "The {0} must be at least {2} characters long.", MinimumLength = 6)]
		[DataType(DataType.Password)]
		[Display(Name = "New password")]
		public string NewPassword { get; set; }

		[DataType(DataType.Password)]
		[Display(Name = "Confirm new password")]
		[Compare("NewPassword", ErrorMessage = "The new password and confirmation password do not match.")]
		public string ConfirmPassword { get; set; }
	}
}